#    Society Self-Service
#    Copyright © 2018  Yingtong Li (RunasSudo)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.

from django.urls import path

from . import views

urlpatterns = [
	path('budgets/', views.budget_list, name='budget_list'),
	path('budgets/new/', views.budget_new, name='budget_new'),
	path('budgets/view/<int:id>', views.budget_view, name='budget_view'),
	path('budgets/view/<int:id>/print', views.budget_print, name='budget_print'),
	path('budgets/edit/<int:id>', views.budget_edit, name='budget_edit'),
	path('budgets/action/<int:id>', views.budget_action, name='budget_action'),
	path('claims/', views.claim_list, name='claim_list'),
	path('claims/new/', views.claim_new, name='claim_new'),
	path('claims/view/<int:id>', views.claim_view, name='claim_view'),
	path('claims/view/<int:id>/print', views.claim_print, name='claim_print'),
	path('claims/edit/<int:id>', views.claim_edit, name='claim_edit'),
	path('claims/action/<int:id>', views.claim_action, name='claim_action'),
	path('claims/processing', views.claim_processing, name='claim_processing'),
	path('', views.index, name='treasury'),
]
